# Generated from twexicon-0.1.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name twexicon

Name: rubygem-%{gem_name}
Version: 0.1.8
Release: 1%{?dist}
Summary: CLI gem that returns a given Twitter user's most recent tweets and does some basic textual analysis
License: MIT
URL: https://github.com/gj/twexicon-cli-gem
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
When provided a valid Twitter handle, allows for command-line access to the
given user's most recent tweets. Permits the retrieval of individual tweets
and can provide ordered lists outlining the following details from the user's
recent tweets: their most frequently used words; any embedded pictures or
videos; any embedded hyperlinks; any #hashtags or @usernames mentioned; any
numbers, such as years or times of day; any acronyms mentioned; and, last but
definitely not least, anything the tweeter felt passionately enough about to
SCREAM IN ALL CAPS.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/twexicon
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.8-1
- Initial package
